Last Comment Bug 658055 - Replace uses of fun->u.i.script with fun->script()
: Replace uses of fun->u.i.script with fun->script()
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: [PTO to Dec5] Bill McCloskey (:billm)
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 13:51 PDT by [PTO to Dec5] Bill McCloskey (:billm)
Modified: 2011-05-23 14:09 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (11.88 KB, patch)
2011-05-18 13:51 PDT, [PTO to Dec5] Bill McCloskey (:billm)
no flags Details | Diff | Splinter Review
patch v2 (11.22 KB, patch)
2011-05-18 14:19 PDT, [PTO to Dec5] Bill McCloskey (:billm)
dmandelin: review+
Details | Diff | Splinter Review

Description [PTO to Dec5] Bill McCloskey (:billm) 2011-05-18 13:51:25 PDT
Created attachment 533404 [details] [diff] [review]
patch

It's safer and nicer to use the getter.
Comment 1 [PTO to Dec5] Bill McCloskey (:billm) 2011-05-18 14:19:03 PDT
Created attachment 533419 [details] [diff] [review]
patch v2

Oops, one slight mistake.
Comment 2 [PTO to Dec5] Bill McCloskey (:billm) 2011-05-20 12:24:24 PDT
http://hg.mozilla.org/tracemonkey/rev/72372ac8d881
Comment 3 Chris Leary [:cdleary] (not checking bugmail) 2011-05-23 14:09:14 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/72372ac8d881

Note You need to log in before you can comment on or make changes to this bug.